## visad.collab
Class DisplaySyncImpl

    java.lang.Object
      visad.collab.DisplaySyncImpl

All Implemented Interfaces:
  Comparator, DisplaySync, MonitorCallback, Runnable

public class DisplaySyncImpl
extends Object
implements Comparator, DisplaySync, Runnable

Constructor Summary
`DisplaySyncImpl(DisplayImpl dpy)`

Method Summary
`int` `compare(Object o1, Object o2)`
`void` `destroy()`
`void` `eventReady(RemoteEventProvider provider, Object key)` Start event callback.
`String` `getName()`
`boolean` `isLocalClear()`
`boolean` `isThreadRunning()`
`void` `run()` Requests events from the remote provider(s).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### DisplaySyncImpl

    public DisplaySyncImpl(DisplayImpl dpy)
                    throws RemoteException

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `DisplaySync`

### eventReady

    public void eventReady(RemoteEventProvider provider,
                           Object key)

  Start event callback.

  Specified by:
    `eventReady` in interface `MonitorCallback`

### getName

    public String getName()

### isLocalClear

    public boolean isLocalClear()

  Specified by:
    `isLocalClear` in interface `DisplaySync`

### isThreadRunning

    public boolean isThreadRunning()

### run

    public void run()

  Requests events from the remote provider(s).

  Specified by:
    `run` in interface `Runnable`